Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 83)
@@ -18,6 +18,30 @@
 {
     partial class FrmDRWork
     {
+        #region 個人データ取得
+        /// <summary>
+        /// 個人データ取得
+        /// </summary>
+        private void SetAttendanceCosts()
+        {
+            try
+            {
+                // ガソリン代（1キロ）
+                m_FuelCost = 20;
+                // 事務所距離
+                m_MyOfficeDistance = 10;
+                // 資材置場距離
+                m_MyWareHouseDistance = 15;
+                // 通勤交通費（公認分）
+                m_MyTransportCosts = 100;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 画面サイズ変更時のセルサイズ変更
         /// <summary>
         /// 画面サイズ変更時のセルサイズ変更
@@ -63,7 +87,31 @@
                 m_DspControl[(int)DspCtrlName.WorkingDays] = label4;
                 // 残業時間
                 m_DspControl[(int)DspCtrlName.Overtime] = label13;
+                // 受付番号
+                m_DspControl[(int)DspCtrlName.OrderNo] = label18;
 
+                m_DspControl[(int)DspCtrlName.KmTodayTotal] = lblKM;
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt01] = lblCount01;
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt02] = lblCount02;
+                m_DspControl[(int)DspCtrlName.TrancePayCnt01] = lblCount03;
+                m_DspControl[(int)DspCtrlName.TrancePayCnt02] = lblCount04;
+                m_DspControl[(int)DspCtrlName.WarehouseTodayCnt01] = lblCount05;
+                m_DspControl[(int)DspCtrlName.KmMonthTotal01] = lblDspKm1;
+                m_DspControl[(int)DspCtrlName.KmMonthTotal02] = lblDspKm2;
+                m_DspControl[(int)DspCtrlName.KmMonthTotal03] = lblDspKm3;
+                m_DspControl[(int)DspCtrlName.UnitPrice01] = lblDspCosts1;
+                m_DspControl[(int)DspCtrlName.UnitPrice02] = lblDspCosts2;
+                m_DspControl[(int)DspCtrlName.UnitPrice03] = lblDspCosts3;
+                m_DspControl[(int)DspCtrlName.UnitPrice04] = lblDspCosts4;
+                m_DspControl[(int)DspCtrlName.MonthCnt01] = lblMonthlyCnt01;
+                m_DspControl[(int)DspCtrlName.MonthCnt02] = lblMonthlyCnt02;
+                m_DspControl[(int)DspCtrlName.MonthCnt03] = lblMonthlyCnt03;
+                m_DspControl[(int)DspCtrlName.MonthTotal01] = lblMonthlyTotal01;
+                m_DspControl[(int)DspCtrlName.MonthTotal02] = lblMonthlyTotal02;
+                m_DspControl[(int)DspCtrlName.MonthTotal03] = lblMonthlyTotal03;
+                m_DspControl[(int)DspCtrlName.MonthTotal04] = lblMonthlyTotal04;
+                m_DspControl[(int)DspCtrlName.MonthTotal05] = lblMonthlyTotal05;
+
             }
             catch (Exception ex)
             {
@@ -78,60 +126,154 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_DspControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                wrk.Text = "";
+                foreach (Control wrk in m_DspControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(ComboBoxEX))) continue;
+                    wrk.Text = "";
+                }
+
+                m_bChengeAns = false;
             }
-
-            m_bChengeAns = false;
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
-        #region ヘッダー情報表示
+        #region 初期処理
         /// <summary>
-        /// ヘッダー情報表示
+        /// 初期時データ取得
         /// </summary>
-        private bool DispHeader()
+        /// <returns>true:データ表示処理実行 false:データ無新規時</returns>
+        private void InitDataLoad()
         {
             try
             {
-                // 対象年度のセット
-                SetActionMonthly();
+                // 表示クリア
+                ClearDisplay();
 
-                // 対象月の開始～終了日のセット
+                // データ表示
+                InitDispData01();
+                InitDispData02();
 
-                return true;
+                // 先頭ページへ移動
+                tabControl1.SelectedIndex = 0;
+
+                // 申請・承認表示処理
+                InitApprovalDisplay();
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
             }
             finally
             {
+                // 変更フラグのクリア
+                m_bChengeAns = false;
             }
         }
         #endregion
 
-        #region 初期処理
+        #region 日報データ表示
         /// <summary>
-        /// 初期時データ取得
+        /// 日報データ表示
         /// </summary>
-        /// <returns>true:データ表示処理実行 false:データ無新規時</returns>
-        private void InitDataLoad()
+        /// <returns></returns>
+        private void InitDispData01()
         {
+            IOAttendanceData AttendDB = new IOAttendanceData();
+            IOMHolidayCalender calDB = new IOMHolidayCalender();
             try
             {
-                // 表示クリア
-                ClearDisplay();
+                DataGridView dgv = dgvAllDisplay;
+                dgv.Rows.Clear();
 
-                // ヘッダー表示
-                if (!DispHeader()) return;
+                // 選択年月を取得する
+                string strSelDate = CommonMotions.cnvString(comboBox1.SelectedValue);
+                DateTime WorktDate = CommonMotions.cnvDate((strSelDate + "/1"));
 
-                // データ表示
-                InitDispData();
-                
+                // 担当者を取得する
+                int PersonCode = GetConstructionPersonCode();
+                if (PersonCode == 0) return;
+
+                m_HolidayCount = 0;
+                // 月の最終日を求める
+                m_LastDays = DateTime.DaysInMonth(WorktDate.Year, WorktDate.Month);
+
+                // 開始日・終了日のセット
+                m_DspControl[(int)DspCtrlName.ConstructionDayFrom].Text = "1";
+                m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text = m_LastDays.ToString("00");
+
+                string strSQL = "SELECT AX.DT, DATE_FORMAT(C.HOLIDAY,'%Y/%m/%d'), D.ACTIONRESULT, D.OVERTIMEHOURS, D.WORKINGCOMMENT FROM";
+                strSQL += " (SELECT DATE_FORMAT((st+ROWNUM-1), '%Y/%m/%d') DT";
+                strSQL += " FROM SYS.ALL_CATALOG A,";
+                strSQL += string.Format(" (SELECT STR_TO_DATE('{0}','%Y%m%d') st,", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + "01"));
+                strSQL += string.Format(" STR_TO_DATE('{0}','%Y%m%d') ed FROM SYS.DUAL) B", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + m_LastDays.ToString("00")));
+                strSQL += " WHERE ROWNUM <= (ed - st + 1)) AX";
+                strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = AX.DT";
+                strSQL += string.Format(" LEFT JOIN ATTENDANCEDAILYDATA D ON  D.PERSONCODE = {0} AND D.ATTENDANCEDATE = AX.DT", PersonCode);
+                strSQL += " ORDER BY AX.DT, D.SEQNO";
+
+                ArrayList arList = new ArrayList();
+                if (!calDB.ExecuteReader(strSQL, ref arList)) return;
+                DateTime DispDate = DateTime.Now;
+                DateTime BreakDate = DateTime.MinValue;
+                string strHoliday = string.Empty;
+                string strResultName = string.Empty;
+                string strDispDay = string.Empty;
+                string strWeek = string.Empty;
+                // 日付の表示
+                foreach (object[] CurRec in arList)
+                {
+                    DispDate = CommonMotions.cnvDate(CurRec[0]);
+                    strHoliday = string.Empty;
+                    strHoliday = CommonMotions.cnvString(CurRec[1]);
+                    strResultName = CommonMotions.cnvString(CurRec[2]);
+                    strDispDay = string.Format("{0}日", DispDate.Day.ToString());
+                    strWeek = DispDate.ToString("dddd");
+
+                    if (DispDate == BreakDate)
+                    {
+                        strDispDay = string.Empty;
+                        strWeek = string.Empty;
+                    }
+                    else
+                    {
+                        BreakDate = DispDate;
+                    }
+                    int AddRow = dgv.Rows.Add(strDispDay,
+                                                DispDate.ToShortDateString(),
+                                                strWeek,
+                                                strResultName,
+                                                CommonMotions.cnvDouble(CurRec[3]).ToString("#.#"),
+                                                CommonMotions.cnvString(CurRec[4])
+                                                );
+
+                    // 休日のチェック
+                    if (strHoliday.Length != 0)
+                    {
+                        dgv.Rows[AddRow].Cells[(int)GridColumn01.DispDay].Style.ForeColor = Color.Red;
+                        dgv.Rows[AddRow].Cells[(int)GridColumn01.WeekString].Style.ForeColor = Color.Red;
+                        m_HolidayCount++;
+                        continue;
+                    }
+                }
+                // 出勤日数・残業時間のセット
+                SetWorkDaysAndOverTimes();
+
+                // 申請受付番号取得
+                strSQL = AttendDB.CreatePrimarykeyString(PersonCode, WorktDate);
+                AttendanceData AttendRec = new AttendanceData();
+                AttendDB.SelectAction(strSQL, ref AttendRec);
+                m_DspControl[(int)DspCtrlName.OrderNo].Text = AttendRec.OrderNo.ToString();
+
+                // 申請データ取得
+                m_OrderDate = AttendRec.OrderDate;
+                m_OrderNo = AttendRec.OrderNo;
             }
             catch (Exception ex)
             {
@@ -139,83 +281,117 @@
             }
             finally
             {
-                // 変更フラグのクリア
-                m_bChengeAns = false;
+                if (dgvAllDisplay.RowCount == 0) dgvAllDisplay.RowCount += (18 - dgvAllDisplay.RowCount);
+                calDB.close(); calDB = null;
+                AttendDB.close(); AttendDB = null;
             }
         }
         #endregion
 
-        #region 
+        #region 交通費データ表示
         /// <summary>
-        /// 固定表示の設定
+        /// 交通費データ表示
         /// </summary>
         /// <returns></returns>
-        private void InitDispData()
+        private void InitDispData02()
         {
             IOMHolidayCalender calDB = new IOMHolidayCalender();
             try
             {
+                dgvTransport01.Rows.Clear();
+                dgvTransport02.Rows.Clear();
+                dgvTransport01.ReadOnly = true;
+                dgvTransport02.ReadOnly = true;
+
                 // 選択年月を取得する
                 string strSelDate = CommonMotions.cnvString(comboBox1.SelectedValue);
                 DateTime WorktDate = CommonMotions.cnvDate((strSelDate + "/1"));
 
+                // 担当者を取得する
+                int PersonCode = GetConstructionPersonCode();
+                if (PersonCode == 0) return;
+
+                dgvTransport01.ReadOnly = false;
+                dgvTransport02.ReadOnly = false;
+
+                m_HolidayCount = 0;
                 // 月の最終日を求める
-                int monthlyLastDay = DateTime.DaysInMonth(WorktDate.Year, WorktDate.Month);
+                m_LastDays = DateTime.DaysInMonth(WorktDate.Year, WorktDate.Month);
 
                 // 開始日・終了日のセット
                 m_DspControl[(int)DspCtrlName.ConstructionDayFrom].Text = "1";
-                m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text = monthlyLastDay.ToString("00");
+                m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text = m_LastDays.ToString("00");
 
-                DataGridView dgv = dgvAllDisplay;
-                
-                dgv.Rows.Clear();
-
-                string strSQL = "SELECT AX.DT, DATE_FORMAT(C.HOLIDAY,'%Y/%m/%d'), D.CONSTRUCTIONCODE, E.DETAILSTRING, D.OVERTIMEHOURS, D.WORKINGCOMMENT FROM";
-                strSQL += " (SELECT DATE_FORMAT((st+ROWNUM-1), '%Y/%m/%d') DT";
-                strSQL += " FROM SYS.ALL_CATALOG A,";
+                string strSQL = "SELECT AX.DT,";                        // 0
+                strSQL += " DATE_FORMAT(C.HOLIDAY,'%Y/%m/%d'),";        // 1
+                strSQL += " D.StartDistance,";                          // 2
+                strSQL += " D.ComplateDistance,";                       // 3
+                strSQL += " D.TotalDistance,";                          // 4
+                strSQL += " D.OfficeGoFlg,";                            // 5
+                strSQL += " D.OfficeOutFlg,";                           // 6
+                strSQL += " D.TrancePayGoFlg,";                         // 7
+                strSQL += " D.TrancePayOutFlg,";                        // 8
+                strSQL += " D.WareHouseFlg";                            // 9
+                strSQL += " FROM";
+                strSQL += " (SELECT DATE_FORMAT((st+ROWNUM-1), '%Y/%m/%d') DT FROM SYS.ALL_CATALOG A,";
                 strSQL += string.Format(" (SELECT STR_TO_DATE('{0}','%Y%m%d') st,", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + "01"));
-                strSQL += string.Format(" STR_TO_DATE('{0}','%Y%m%d') ed FROM DUAL) B", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + monthlyLastDay.ToString("00")));
+                strSQL += string.Format(" STR_TO_DATE('{0}','%Y%m%d') ed FROM DUAL) B", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + m_LastDays.ToString("00")));
                 strSQL += " WHERE ROWNUM <= (ed - st + 1)) AX";
                 strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = AX.DT";
-                strSQL += " LEFT JOIN ATTENDANCEDATA D ON D.ATTENDANCEDATE = AX.DT";
-                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL E ON E.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND E.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                strSQL += " ORDER BY AX.DT, D.SEQNO";
+                strSQL += string.Format(" LEFT JOIN TRANCEPORTDAILYDATA D ON  D.PERSONCODE = {0} AND D.ATTENDANCEDATE = AX.DT", PersonCode);
+                strSQL += " ORDER BY AX.DT";
 
                 ArrayList arList = new ArrayList();
                 if (!calDB.ExecuteReader(strSQL, ref arList)) return;
                 DateTime DispDate = DateTime.Now;
+                string strDispDay = string.Empty;
                 string strHoliday = string.Empty;
-                string strConstrName = string.Empty;
-                int AttendamceCnt = 0;
+                int AddRow = 0;
+                DataGridView dgv = dgvTransport01;
+                bool[] bArrary = new bool[5];
+
                 // 日付の表示
                 foreach (object[] CurRec in arList)
                 {
                     DispDate = CommonMotions.cnvDate(CurRec[0]);
+                    strDispDay = string.Format("{0}日", DispDate.Day.ToString());
                     strHoliday = string.Empty;
                     strHoliday = CommonMotions.cnvString(CurRec[1]);
-                    strConstrName = CommonMotions.cnvString(CurRec[3]);
+                    Array.Clear(bArrary, 0, 5);
+                    if (CommonMotions.cnvInt(CurRec[5]) == 1) bArrary[0] = true;
+                    if (CommonMotions.cnvInt(CurRec[6]) == 1) bArrary[1] = true;
+                    if (CommonMotions.cnvInt(CurRec[7]) == 1) bArrary[2] = true;
+                    if (CommonMotions.cnvInt(CurRec[8]) == 1) bArrary[3] = true;
+                    if (CommonMotions.cnvInt(CurRec[9]) == 1) bArrary[4] = true;
 
-                    int AddRow = dgv.Rows.Add(string.Format("{0}日", DispDate.Day.ToString()),
-                                                DispDate.Day,
-                                                DispDate.ToString("dddd"),
-                                                CommonMotions.cnvInt(CurRec[2]),
-                                                strConstrName,
-                                                CommonMotions.cnvDouble(CurRec[4]).ToString("#.#"),
-                                                CommonMotions.cnvString(CurRec[5])
-                                                );
+                    if (DispDate.Day < 21) dgv = dgvTransport01;
+                    else dgv = dgvTransport02;
 
+                    AddRow = dgv.Rows.Add(strDispDay,
+                                                DispDate.ToShortDateString(),
+                                                CommonMotions.cnvDouble(CurRec[2]).ToString("#,0.0"),
+                                                CommonMotions.cnvDouble(CurRec[3]).ToString("#,0.0"),
+                                                CommonMotions.cnvDouble(CurRec[4]).ToString("#,0.0"),
+                                                bArrary[0],
+                                                bArrary[1],
+                                                bArrary[2],
+                                                bArrary[3],
+                                                bArrary[4]);
                     // 休日のチェック
                     if (strHoliday.Length != 0)
                     {
-                        dgv.Rows[AddRow].Cells[(int)GridColumn.DispDay].Style.ForeColor = Color.Red;
-                        dgv.Rows[AddRow].Cells[(int)GridColumn.WeekString].Style.ForeColor = Color.Red;
+                        DataGridViewRow CurRow = dgv.Rows[AddRow];
+
+                        foreach (DataGridViewCell CurCell in CurRow.Cells)
+                        {
+                            CurCell.Style.BackColor = Color.PeachPuff;
+                        }
+                        m_HolidayCount++;
                         continue;
                     }
-                    if (strConstrName.Length != 0) AttendamceCnt++;
                 }
-                // 出勤日数
-                m_DspControl[(int)DspCtrlName.WorkingDays].Text = AttendamceCnt.ToString("#");
+                // 距離・回数計算
+                SetDistanceAndcount();
             }
             catch (Exception ex)
             {
@@ -224,6 +400,8 @@
             finally
             {
                 calDB.close(); calDB = null;
+                if (dgvTransport01.RowCount < 20) dgvTransport01.RowCount += (20 - dgvTransport01.RowCount);
+                if (dgvTransport02.RowCount < 11) dgvTransport02.RowCount += (11 - dgvTransport02.RowCount);
             }
         }
         #endregion
@@ -237,6 +415,8 @@
             try
             {
                 dgvAllDisplay.ReadOnly = true;
+                dgvTransport01.ReadOnly = true;
+                dgvTransport02.ReadOnly = true;
                 
                 // 最後にボタンの処理を行う
                 btnDataEntry.Visible = false;
@@ -266,7 +446,7 @@
                 DataGridViewRow CurRow = dgv.CurrentRow;
 
                 // 対象日付取得
-                int TargetDay = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.Day].Value);
+                string TargetDay = CommonMotions.cnvString(CurRow.Cells[(int)GridColumn01.AttendanceDate].Value);
 
                 int InsertCnt = CurRow.Index + 1;
                 // 選択行が不正ならば処理しない
@@ -276,7 +456,7 @@
                 DataGridViewAction.CreateNewLine(dgv, ref InsertCnt);
 
                 // 日付セット
-                dgv.Rows[InsertCnt].Cells[(int)GridColumn.Day].Value = TargetDay;
+                dgv.Rows[InsertCnt].Cells[(int)GridColumn01.AttendanceDate].Value = TargetDay;
 
                 // データ変更フラグON
                 m_bChengeAns = true;
@@ -307,10 +487,9 @@
                 int RemoveCnt = CurRow.Index;
 
                 // 選択行が不正ならば処理しない
-                if (RemoveCnt == 0) return;
+                if (RemoveCnt < 0) return;
 
-                // 日付が1日だけの場合は削除できない
-                int CurDay = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.Day].Value);
+                DateTime CurDay = CommonMotions.cnvDate(CurRow.Cells[(int)GridColumn01.AttendanceDate].Value);
                 
                 if (MessageBox.Show("カレント行を削除します、よろしいですか？", "行削除確認"
                         , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
@@ -317,8 +496,8 @@
 
 
                 int sameCount = 0;
-                if ((RemoveCnt >= 0) && CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt - 1)].Cells[(int)GridColumn.Day].Value)) sameCount++;
-                if ((RemoveCnt <= (dgv.RowCount - 1)) && CurDay == CommonMotions.cnvInt(dgv.Rows[(RemoveCnt + 1)].Cells[(int)GridColumn.Day].Value)) sameCount++;
+                if ((RemoveCnt > 0) && CurDay == CommonMotions.cnvDate(dgv.Rows[(RemoveCnt - 1)].Cells[(int)GridColumn01.AttendanceDate].Value)) sameCount++;
+                if ((RemoveCnt < (dgv.RowCount - 1)) && CurDay == CommonMotions.cnvDate(dgv.Rows[(RemoveCnt + 1)].Cells[(int)GridColumn01.AttendanceDate].Value)) sameCount++;
 
                 // 日付が1日だけの場合は行削除できない
                 if (sameCount == 0)
@@ -326,9 +505,9 @@
                     foreach (DataGridViewCell wrkcell in CurRow.Cells)
                     {
                         // 日付はクリアしない
-                        if (wrkcell.ColumnIndex == (int)GridColumn.DispDay) continue;
-                        if (wrkcell.ColumnIndex == (int)GridColumn.Day) continue;
-                        if (wrkcell.ColumnIndex == (int)GridColumn.WeekString) continue;
+                        if (wrkcell.ColumnIndex == (int)GridColumn01.DispDay) continue;
+                        if (wrkcell.ColumnIndex == (int)GridColumn01.AttendanceDate) continue;
+                        if (wrkcell.ColumnIndex == (int)GridColumn01.WeekString) continue;
                         // クリア
                         wrkcell.Value = "";
                     }
@@ -336,16 +515,16 @@
                 else
                 {
                     // 日付表示行は表示日付を下の行に移す
-                    Color DayColor = dgv.Rows[RemoveCnt].Cells[(int)GridColumn.DispDay].Style.ForeColor;
-                    Color WeekColor = dgv.Rows[RemoveCnt].Cells[(int)GridColumn.WeekString].Style.ForeColor;
-                    string strDispDay = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)GridColumn.DispDay].Value);
-                    string strWeek = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)GridColumn.WeekString].Value);
+                    Color DayColor = dgv.Rows[RemoveCnt].Cells[(int)GridColumn01.DispDay].Style.ForeColor;
+                    Color WeekColor = dgv.Rows[RemoveCnt].Cells[(int)GridColumn01.WeekString].Style.ForeColor;
+                    string strDispDay = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)GridColumn01.DispDay].Value);
+                    string strWeek = CommonMotions.cnvString(dgv.Rows[RemoveCnt].Cells[(int)GridColumn01.WeekString].Value);
                     if (strDispDay.Length != 0)
                     {
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.DispDay].Value = strDispDay;
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.WeekString].Value = strWeek;
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.DispDay].Style.ForeColor = DayColor;
-                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn.WeekString].Style.ForeColor = WeekColor;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn01.DispDay].Value = strDispDay;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn01.WeekString].Value = strWeek;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn01.DispDay].Style.ForeColor = DayColor;
+                        dgv.Rows[RemoveCnt + 1].Cells[(int)GridColumn01.WeekString].Style.ForeColor = WeekColor;
                     }
 
                     // 行削除
@@ -367,6 +546,36 @@
         }
         #endregion
 
+        #region 初期時にログイン担当者をセットする
+        /// <summary>
+        /// 初期時にログイン担当者をセットする
+        /// </summary>
+        private void InitDepPersonCode()
+        {
+            try
+            {
+                if (m_PersonCode != 0)
+                {
+                    cmbConstructionPerson.SelectedValue = m_PersonCode;
+                    SetPerosonToDepartment();
+                    SetVariableValue();
+                }
+                else
+                {
+                    cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                    SetcombBoxPerson();
+                    cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+                }
+
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 対象年度のセット
         /// <summary>
         /// 対象年度のセット
@@ -376,8 +585,10 @@
             IOCostDataOfPerson CostDB = new IOCostDataOfPerson();
             try
             {
+                comboBox1.DataSource = null;
+
                 // 存在月を出勤データより取得する
-                string strSQL = "SELECT DATE_FORMAT(ATTENDANCEDATE,'%Y/%m'), COUNT(*) FROM ATTENDANCEDATA GROUP BY DATE_FORMAT(ATTENDANCEDATE,'%Y/%m') ORDER BY 1";
+                string strSQL = "SELECT DATE_FORMAT(ATTENDANCEMONTH,'%Y/%m'), COUNT(*) FROM ATTENDANCEDATA GROUP BY DATE_FORMAT(ATTENDANCEMONTH,'%Y/%m') ORDER BY 1";
                 ArrayList arList = new ArrayList();
                 CostDB.ExecuteReader(strSQL, ref arList);
 
@@ -485,6 +696,28 @@
         }
         #endregion
 
+        #region 部署コンボより担当者コードを取得する
+        /// <summary>
+        /// 部署コンボより担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetDepartmentCode()
+        {
+            try
+            {
+                // 表示されていない場合は選択無
+                //if (!cmbDepartment.Visible) return 0;
+
+                return CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
         #region 担当者コンボより担当者コードを取得する
         /// <summary>
         /// 担当者コンボより担当者コードを取得する
@@ -589,7 +822,6 @@
             m_bInitFlg = true;
             try
             {
-
                 cmbDepartment.DataSource = null;
                 cmbDepartment.Items.Clear();
                 cmbDepartment.Text = "";
@@ -597,36 +829,19 @@
                 string strSQL = string.Empty;
                 // 部署マスタを検索する
                 strSQL = "SELECT A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER, COUNT(*)";
-                strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C";
+                //strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C";
+                strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B";
                 strSQL += " WHERE A.DELETEFLG = 0";
 
-                // 新セキュリティデータ対応済みかを確認する
-                //if (CommonMotions.LoginUserData.SecCode == 0)
-                //{
-                //    // システム権限によってデータアクセスに制限がある
-                //    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key
-                //        || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                //    {
-                //        // 所属長
-                //        // 一般使用者（自分のみアクセス可能）
-                //        strSQL += string.Format(" AND A.DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
-                //    }
-                //}
-                //else
-                //{
-                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
-                    {
+                if (CommonMotions.LoginUserData.PersonCode != CommonDefine.AdminCode)
+                {
+                    // 参照部署マスタより取得する
+                    strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
+                    strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                }
 
-                    }
-                    else
-                    {
-                        // 参照部署マスタより取得する
-                        strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
-                        strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
-                    }
-                //}
                 strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
-                strSQL += " AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE";
+                //strSQL += " AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE";
                 strSQL += " GROUP BY A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER";
                 strSQL += " ORDER BY A.DISPLAYORDER ASC";
 
@@ -648,17 +863,6 @@
                 // コンボボックス初期表示
                 ComboBoxAction.InitDataSetCombBox(cmbDepartment, ConstructionDataList);
 
-                //// 新セキュリティデータ対応済みかを確認する
-                //if (CommonMotions.LoginUserData.SecCode == 0)
-                //{
-                //    // 所属長
-                //    // 一般使用者（自分のみアクセス可能）
-                //    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                //    {
-                //        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
-                //    }
-                //}
-
                 return true;
             }
             catch (Exception ex)
